package com.ibatis.jpetstore.presentation.form;

import com.ibatis.jpetstore.domain.*;
import org.apache.struts.action.*;

import javax.servlet.http.*;

public class CartForm extends BaseForm {

  /* Private Fields */

  private Cart cart = new Cart();
  private String workingItemId;

  /* JavaBeans Properties */

  public Cart getCart() { return cart; }
  public void setCart(Cart cart) { this.cart = cart; }

  public String getWorkingItemId() { return workingItemId; }
  public void setWorkingItemId(String workingItemId) { this.workingItemId = workingItemId; }

  /* Public Methods */

  public void reset(ActionMapping mapping, HttpServletRequest request) {
    super.reset(mapping, request);
    workingItemId = null;
  }
}
